Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/WorkerRole.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/WorkerRole.cs	(revision 9548)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/WorkerRole.cs	(revision 9549)
@@ -29,4 +29,5 @@
 using Microsoft.WindowsAzure.StorageClient;
 using System.Text;
+using System.Diagnostics;
 
 namespace HeuristicLab.Clients.Hive.Slave.AzureClient {
@@ -42,5 +43,5 @@
     public override void Run() {
       try {
-        LogError(new Exception("Starting Run()..."));
+        Trace.WriteLine("Starting Run()...");
         core = new HeuristicLab.Clients.Hive.SlaveCore.Core(false);
 
@@ -60,5 +61,5 @@
         });
 
-        LogError(new Exception("Run(): Core started successfullly"));
+        Trace.WriteLine("Run(): Core started successfullly");
         while (true) {
           Thread.Sleep(10000);
@@ -66,6 +67,6 @@
       }
       catch (Exception e) {
-        LogError(e);
-		throw e;
+        Trace.WriteLine(e.ToString());
+		    throw e;
       }
     }
@@ -75,5 +76,5 @@
         ServicePointManager.DefaultConnectionLimit = 12;
         //core = new Core();
-        LogError(new Exception("Running OnStart()"));
+        Trace.WriteLine("Running OnStart()");
         try {
           if (!String.IsNullOrEmpty(RoleEnvironment.GetConfigurationSettingValue(Constants.DiagnosticsConnectionString))) {
@@ -88,28 +89,15 @@
           // -> diagnostics disabled
           // nothing more to do
-          LogError(ex);
+          Trace.WriteLine(ex.ToString());
         }
 
         RoleEnvironment.Changed += RoleEnvironmentChanged;
-        LogError(new Exception("Finished OnStart() successfullly"));
+        Trace.WriteLine("Finished OnStart() successfullly");
       }
       catch (Exception ex) {
-        LogError(ex);
-		throw ex;
+        Trace.WriteLine(ex.ToString());
+		    throw ex;
       }
       return base.OnStart();
-    }
-
-    private void LogError(Exception e) {
-      var storageAccount = CloudStorageAccount.Parse(RoleEnvironment.GetConfigurationSettingValue(Constants.DiagnosticsConnectionString));
-      var blobClient = storageAccount.CreateCloudBlobClient();
-      var container = blobClient.GetContainerReference("slavelog");
-      container.CreateIfNotExist();
-      var guid = Guid.NewGuid();
-      var blob = container.GetBlobReference(guid.ToString());
-      var builder = new StringBuilder();
-      builder.Append("ToString: ").Append(e.ToString()).Append("\n");
-      builder.Append("Message: ").Append(e.Message).Append("\n");
-      blob.UploadText(builder.ToString());
     }
 
Index: anches/OaaS/HeuristicLab.Services.Optimization.Web/Binders/AlgorithmJsonAttribute.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Binders/AlgorithmJsonAttribute.cs	(revision 9548)
+++ 	(revision )
@@ -1,42 +1,0 @@
-﻿// http://blog.duc.as/2011/06/07/making-mvc-3-a-little-more-dynamic/
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.Mvc;
-using System.IO;
-using System.Web.Helpers;
-using HeuristicLab.Services.Optimization.ControllerService.Model;
-using HeuristicLab.Services.Optimization.ControllerService.Parsers;
-
-namespace Mvc3TestApplication.Binders
-{
-  public class ExperimentJsonAttribute : CustomModelBinderAttribute {
-    public override IModelBinder GetBinder() {
-      return new ExperimentJsonBinder();
-    }
-  }
-
-  public class ExperimentJsonBinder : IModelBinder {
-    public ExperimentJsonBinder() {
-    }
-
-    public object BindModel(ControllerContext controllerCtx, ModelBindingContext bindingCtx) {
-      var contentType = controllerCtx.HttpContext.Request.ContentType;
-      if (!contentType.StartsWith("application/json", StringComparison.OrdinalIgnoreCase))
-        return null;
-
-      string body;
-      using (var stream = controllerCtx.HttpContext.Request.InputStream) {
-        stream.Seek(0, System.IO.SeekOrigin.Begin);
-        using (var reader = new StreamReader(stream))
-          body = reader.ReadToEnd();
-      }
-      if (string.IsNullOrEmpty(body)) return null;
-      return AlgorithmConverter.ConvertJsonToExperiment(body);
-    }
-
-
-  }
-}
Index: anches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ChartController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ChartController.cs	(revision 9548)
+++ 	(revision )
@@ -1,239 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.Mvc;
-using HeuristicLab.Services.Optimization.Web.Models;
-using HeuristicLab.Services.Optimization.ControllerService.Model;
-using System.Web.UI.DataVisualization.Charting;
-using System.Drawing;
-using System.IO;
-using System.Text;
-using System.Diagnostics;
-
-namespace HeuristicLab.Services.Optimization.Web.Controllers
-{
-    public class ChartController : Controller
-    {
-        //
-        // GET: /Chart/GenerateChart/
-
-        public ActionResult GenerateChart(int index, string parameterName, string chartType)
-        {
-          var model = Session["jobDetails"] as JobDetailsModel;
-          var parameter = (from result in model.Runs[index].Results where result.Value.Name == parameterName select result.Value).FirstOrDefault();
-          var chartTypeObj = (SeriesChartType) Enum.Parse(typeof(SeriesChartType), chartType);
-          var matrix = parameter as DecimalMatrix;
-          var chart = new Chart();
-          chart.Width = 1024;
-          chart.Height = 768;
-          chart.BackColor = Color.FromArgb(211, 223, 240);
-          chart.BorderlineDashStyle = ChartDashStyle.Solid;
-          chart.BackSecondaryColor = Color.White;
-          chart.BackGradientStyle = GradientStyle.TopBottom;
-          chart.BorderlineWidth = 1;
-          chart.Palette = ChartColorPalette.BrightPastel;
-          chart.BorderlineColor = Color.FromArgb(26, 59, 105);
-          chart.RenderType = RenderType.BinaryStreaming;
-          chart.BorderSkin.SkinStyle = BorderSkinStyle.Emboss;
-          chart.AntiAliasing = AntiAliasingStyles.All;
-          chart.TextAntiAliasingQuality = TextAntiAliasingQuality.Normal;
-          chart.Titles.Add(CreateTitle(parameterName));
-          chart.Legends.Add(CreateLegend());
-          CreateSeries(chart, matrix, chartTypeObj);
-          
-
-          using (var stream = new MemoryStream()) {
-            string img = "<img alt='Chart' src='data:image/png;base64,{0}' usemap='#ImageMap" + parameterName + "'/>";
-            chart.SaveImage(stream, ChartImageFormat.Png);
-            string encoded = Convert.ToBase64String(stream.ToArray());
-            var resultString = new StringBuilder();
-            string result = string.Format(img, encoded);
-            string imageMap = chart.GetHtmlImageMap("ImageMap" + parameterName);
-            resultString.Append(result);
-            resultString.Append(imageMap);
-            return Content(resultString.ToString());
-          }
-        }
-
-        private Title CreateTitle(string titleString) {
-          Title title = new Title();
-          title.Text = titleString;
-          title.ShadowColor = Color.FromArgb(32, 0, 0, 0);
-          title.Font = new Font("Trebuchet MS", 14F, FontStyle.Bold);
-          title.ShadowOffset = 3;
-          title.ForeColor = Color.FromArgb(26, 59, 105);
-          return title;
-        }
-
-        private Legend CreateLegend() {
-          Legend legend = new Legend("Legend");          
-          legend.ShadowColor = Color.FromArgb(32, 0, 0, 0);
-          legend.Font = new Font("Trebuchet MS", 14F, FontStyle.Bold);
-          legend.ShadowOffset = 3;
-          legend.ForeColor = Color.FromArgb(26, 59, 105);
-          return legend;
-        }
-
-        private KnownColor GetRandomColor(List<KnownColor> ignore) {
-          Random randomGen = new Random();
-          //KnownColor[] names = (KnownColor[])Enum.GetValues(typeof(KnownColor));
-          KnownColor[] names = { KnownColor.Blue, KnownColor.Red, KnownColor.Green, KnownColor.Yellow, KnownColor.Violet, KnownColor.Purple, KnownColor.Orange };
-          KnownColor randomColorName = KnownColor.Blue;
-          do {
-            randomColorName = names[randomGen.Next(names.Length)];
-            if (ignore.Count == names.Count())
-              // prevent deadlock
-              break;
-          } while (ignore.Contains(randomColorName));
-          return randomColorName;
-        }
-
-        public void CreateSeries(Chart chart, DecimalMatrix matrix, SeriesChartType chartType) {
-          DataPoint point;
-          var usedColors = new List<KnownColor>();
-          for (int i = 0; i < matrix.Value.Length; i++ ) {
-            Series seriesDetail = new Series();
-            seriesDetail.Name = matrix.RowNames[i];
-            seriesDetail.IsValueShownAsLabel = false;
-            var kc = GetRandomColor(usedColors);
-            usedColors.Add(kc);
-            seriesDetail.Url = "#";
-            seriesDetail.Color = Color.FromKnownColor(kc);
-            seriesDetail.ChartType = chartType;
-            seriesDetail.BorderWidth = 2;
-            seriesDetail.ChartArea = "Area";            
-            for (int j = 0; j < matrix.Value[i].Length; j++) {
-              point = new DataPoint();              
-              point.XValue = j;
-              point.YValues = new double[] { matrix.Value[i][j] };
-              //point.AxisLabel = j + "";
-              seriesDetail.Points.Add(point);
-              
-            }
-            chart.Series.Add(seriesDetail);
-          }
-          chart.ChartAreas.Add(CreateChartArea("Area"));
-        }
-
-        private ChartArea CreateChartArea(string name) {
-          ChartArea chartArea = new ChartArea();
-          chartArea.Name = name;
-          chartArea.BackColor = Color.Transparent;
-          chartArea.AxisX.IsLabelAutoFit = false;
-          chartArea.AxisY.IsLabelAutoFit = false;
-          chartArea.AxisX.LabelStyle.Font =
-             new Font("Verdana,Arial,Helvetica,sans-serif",
-                      8F, FontStyle.Regular);
-          chartArea.AxisY.LabelStyle.Font =
-             new Font("Verdana,Arial,Helvetica,sans-serif",
-                      8F, FontStyle.Regular);
-          chartArea.AxisY.LineColor = Color.FromArgb(64, 64, 64, 64);
-          chartArea.AxisX.LineColor = Color.FromArgb(64, 64, 64, 64);
-          chartArea.AxisY.MajorGrid.LineColor = Color.FromArgb(64, 64, 64, 64);
-          chartArea.AxisX.MajorGrid.LineColor = Color.FromArgb(64, 64, 64, 64);
-          //chartArea.AxisX.Interval = 1;
-          return chartArea;
-        }
-
-        [HttpGet]
-        public JsonResult GetMatrixContentForGraph(int run, int parameterOffset, bool showMarker) {
-          try {
-            var model = Session["jobDetails"] as JobDetailsModel;
-            if (model != null) {
-              var parameter = model.Runs[run].Results[parameterOffset].Value as DecimalMatrix;
-              var plotableData = new PlotableData() { ShowMarker = showMarker };              
-              for (var i = 0; i < parameter.Value.Length; i++) {
-                plotableData.Series.Add(new SeriesEntry() { Label = parameter.RowNames[i], Values = parameter.Value[i] });
-              }
-              return Json(plotableData, JsonRequestBehavior.AllowGet);
-            }
-          }
-          catch (Exception e) {
-            Trace.TraceError(e.Message);
-          }
-          Response.StatusCode = 400;
-          Response.Status = "Session timed out or ";
-          return Json("error", JsonRequestBehavior.AllowGet);
-        }
-
-        [HttpGet]
-        public JsonResult GetDatatableContent(string datatable, string datarow) {
-          try {
-            var model = Session["jobDetails"] as JobDetailsModel;
-            var plotableData = new PlotableData();
-
-            for (var i=0; i < model.Runs.Count; i++) {              
-              foreach (var result in model.Runs[i].Results) {
-                if (result.Value.Name == datatable) {
-                  var matrix = result.Value as DecimalMatrix;
-                  var index = Array.IndexOf(matrix.RowNames, datarow);
-                  plotableData.Series.Add(
-                    new SeriesEntry() {
-                      Label = "" + (i + 1) + ". Run - " + datatable + " - " + datarow,
-                      Values = matrix.Value[index]
-                    }
-                  );
-                  break;
-                }
-              }
-            }
-
-            return Json(plotableData, JsonRequestBehavior.AllowGet);
-          }
-          catch (Exception e) {
-            Trace.TraceError(e.Message);
-          }
-          Response.StatusCode = 400;
-          Response.Status = "Session timed out";
-          return Json("error", JsonRequestBehavior.AllowGet);
-        }
-
-        [HttpGet]
-        public JsonResult GetDatatables() {
-          try {
-            var model = Session["jobDetails"] as JobDetailsModel;
-            var dts = new DatatableContainer();
-            var datatables = new List<string>();
-            foreach (var param in model.Runs[0].Results) {
-              if (param.Value is DecimalMatrix) {
-                datatables.Add(param.Value.Name); 
-              }
-            }
-
-            dts.Datatables = datatables.ToArray();
-
-            return Json(dts, JsonRequestBehavior.AllowGet);
-          }
-          catch (Exception e) {
-            Trace.TraceError(e.Message);
-          }
-          Response.StatusCode = 400;
-          Response.Status = "Session timed out or ";
-          return Json("error", JsonRequestBehavior.AllowGet);
-        }
-
-        [HttpGet]
-        public JsonResult GetRowNames(string datatable) {
-          var model = Session["jobDetails"] as JobDetailsModel;
-          try {
-            foreach (var param in model.Runs[0].Results) {
-              if (param.Value.Name == datatable) {
-                var matrix = param.Value as DecimalMatrix;
-                
-                var rowNames = new RowNameContainer() {
-                  RowNames = new List<string>(matrix.RowNames)
-                };
-                return Json(rowNames, JsonRequestBehavior.AllowGet);                
-              }
-            }            
-          }
-          catch(Exception ex) {
-            Trace.WriteLine(ex.Message);
-          }
-          Response.StatusCode = 400;
-          Response.Status = "Session timed out";
-          return Json("error", JsonRequestBehavior.AllowGet);
-        }
-    }
-}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/HomeController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/HomeController.cs	(revision 9548)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/HomeController.cs	(revision 9549)
@@ -8,5 +8,5 @@
   public class HomeController : Controller {
     public ActionResult Index() {      
-      return RedirectToAction("Index", "Optimization");      
+      return RedirectToAction("Index", "Job");      
     }
 
Index: anches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OptimizationController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OptimizationController.cs	(revision 9548)
+++ 	(revision )
@@ -1,142 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.Mvc;
-using System.ServiceModel;
-using HeuristicLab.Services.Optimization.ControllerService;
-using HeuristicLab.Services.Optimization.ControllerService.Model;
-using System.ServiceModel.Description;
-using System.Web.Security;
-using HeuristicLab.Services.Optimization.Web.Models;
-using HeuristicLab.Services.Optimization.ControllerService.General;
-using HeuristicLab.Services.Optimization.Web.Helpers;
-
-namespace HeuristicLab.Services.Optimization.Web.Controllers
-{
-    [Authorize(Roles="Web User")]
-    public class OptimizationController : Controller
-    {     
-        private ControllerServiceHelper ControllerService {
-          get {
-            var helper = new ControllerServiceHelper(Session["pw"] as string);
-            if (!helper.Valid) {
-              Response.Redirect("/Account/Logon?ReturnUrl=%2fOptimization");
-            }
-            return helper;
-          }
-        }
-
-        //
-        // GET: /Optimization/   
-        public ActionResult Index()
-        {
-          return RedirectToAction("Index", "Job");
-          /*
-          var optModel = ControllerService.withControllerService<OptimizationModel>((service) => {
-            OptimizationModel model = new OptimizationModel();
-            model.Scenarios = service.GetOptimizationScenarios();
-            User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            model.Jobs = service.GetJobs(u);
-            return model;
-          });          
-          return View(optModel);
-           */
-        }
-
-        public ActionResult ProblemParameters(string scenario) {
-          var optScenario = ControllerService.withControllerService<OptimizationScenario>((service) => {
-            return service.GetOptimizationScenarioByName(scenario);
-          });
-          Session["scenario"] = optScenario;
-          if (optScenario.FirstAlgorithm.Problem == null)
-            return RedirectToAction("AlgorithmParameters");
-          return View(optScenario.FirstAlgorithm.Problem.Parameters);
-        }
-
-        public ActionResult ProblemParameters2() {                    
-          return View("ProblemParameters", (Session["scenario"] as OptimizationScenario).FirstAlgorithm.Problem.Parameters);
-        }
-
-        public ActionResult JobDetails(string jobId) {
-          var model = ControllerService.withControllerService<JobDetailsModel>((service) => {
-            User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            var job = service.GetJob(u, jobId);
-            var runs = service.GetJobResults(u, jobId);
-            return new JobDetailsModel() { Job = job, Runs = runs };
-          });
-          Session["jobDetails"] = model;
-          return View(model);
-       } 
-
-        [HttpPost]
-        public ActionResult JobDetails(Job job) {
-          ControllerService.withControllerService<bool>((service) => {
-            User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            return service.DeleteJob(u, job.Id);
-          });
-          return RedirectToAction("Index");
-        }
-
-        [HttpPost]
-        public ActionResult ProblemParameters(ProblemParameters parameters) {
-          if (ModelState.IsValid) {
-            return RedirectToAction("AlgorithmParameters", parameters);
-          } 
-          return View(parameters);        
-        }
-
-        public ActionResult AlgorithmParameters() {
-          return View((Session["scenario"] as OptimizationScenario).FirstAlgorithm.Parameters);
-        }
-
-        [HttpPost]
-        public ActionResult AlgorithmParameters(AlgorithmParameters parameters) {
-          if (ModelState.IsValid) {
-            return RedirectToAction("ScheduleJob");
-          }
-          return View(parameters);
-        }
-
-        public ActionResult ScheduleJob() {
-          return View(Session["scenario"]);
-        }
-
-        [HttpPost]
-        public ActionResult ScheduleJob(ScheduleJobModel jobModel) {
-          var success = ControllerService.withControllerService<bool>((service) => {
-            User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            var scenario = Session["scenario"] as OptimizationScenario;
-            var details = new JobExecutionDetails() { Group = jobModel.Group, JobTitle = jobModel.Name, Repititions = jobModel.Repetitions };
-            return service.ScheduleOptimizationScenario(u, scenario, details);
-          });
-          return RedirectToAction("Index");
-        }
-        // TODO: Add unique identifier for algorithm / input parameters
-        public ActionResult AddRow(int id, string paramName) {
-          var os = Session["scenario"] as OptimizationScenario;
-          var parameter = os.FirstAlgorithm.Problem.Parameters.FindByName(paramName);
-          bool inputParam = true;
-          if (parameter == null) {
-            parameter = os.FirstAlgorithm.Parameters.FindByName(paramName);
-            inputParam = false;
-          }
-          var dm = parameter.Value as DecimalMatrix;
-          dm.CopyRow(id);
-          return inputParam ? View("ProblemParameters", os.FirstAlgorithm.Problem.Parameters) : View("AlgorithmParameters", os.FirstAlgorithm.Parameters);
-        }
-
-        public ActionResult DeleteRow(int id, string paramName) {
-          var os = Session["scenario"] as OptimizationScenario;
-          var parameter = os.FirstAlgorithm.Problem.Parameters.FindByName(paramName);
-          bool inputParam = true;
-          if (parameter == null) {
-            parameter = os.FirstAlgorithm.Parameters.FindByName(paramName);
-            inputParam = false;
-          }
-          var dm = parameter.Value as DecimalMatrix;
-          dm.DeleteRow(id);
-          return inputParam ? View("ProblemParameters", os.FirstAlgorithm.Problem.Parameters) : View("AlgorithmParameters", os.FirstAlgorithm.Parameters);
-        }
-    }
-}
Index: anches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/StatusController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/StatusController.cs	(revision 9548)
+++ 	(revision )
@@ -1,56 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Web;
-using System.Web.Mvc;
-using HeuristicLab.Services.Optimization.Web.Models;
-using HeuristicLab.Services.Optimization.Web.Helpers;
-using System.Web.Security;
-using HeuristicLab.Services.Optimization.ControllerService.Model;
-
-namespace HeuristicLab.Services.Optimization.Web.Controllers
-{
-  public class StatusController : Controller {
-    private ControllerServiceHelper ControllerService {
-      get {
-        var helper = new ControllerServiceHelper(Session["pw"] as string);
-        if (!helper.Valid) {
-          Response.Redirect("/Account/Logon?ReturnUrl=%2fStatus");
-        }
-        return helper;
-      }
-    }
-
-    //
-    // GET: /Status/
-
-    public ActionResult Index() {
-      var statModel = ControllerService.withControllerService<StatusModel>((service) => {
-        var model = new StatusModel();
-        User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-        model.Jobs = service.GetJobs(u).ToList();
-        return model;
-      });
-      return View(statModel);
-    }
-
-    [HttpGet]
-    public JsonResult GetTasks(string jobId) {      
-      var job = ControllerService.withControllerService<Job>((service) => {        
-        User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };        
-        return service.GetTasks(u, jobId);
-      });
-
-      return Json(job, JsonRequestBehavior.AllowGet);
-    }
-
-    [HttpGet]
-    public JsonResult GetTaskData(string jobId, string taskId) {
-      var t1 = ControllerService.withControllerService<Task>((service) => {
-        User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-        return service.GetTaskData(u, jobId, taskId);
-      });
-      return Json(t1, JsonRequestBehavior.AllowGet);
-    }
-  }
-}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9548)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9549)
@@ -124,10 +124,7 @@
     <Compile Include="Controllers\AdminController.cs" />
     <Compile Include="Controllers\BaseController.cs" />
-    <Compile Include="Controllers\ChartController.cs" />
     <Compile Include="Controllers\ExperimentController.cs" />
     <Compile Include="Controllers\HomeController.cs" />
     <Compile Include="Controllers\JobController.cs" />
-    <Compile Include="Controllers\OptimizationController.cs" />
-    <Compile Include="Controllers\StatusController.cs" />
     <Compile Include="Global.asax.cs">
       <DependentUpon>Global.asax</DependentUpon>
@@ -313,16 +310,8 @@
     <Content Include="Views\Account\Register.cshtml" />
     <Content Include="Views\Admin\Index.cshtml" />
-    <Content Include="Views\Chart\GenerateChart.cshtml" />
     <Content Include="Views\Experiment\Edit.cshtml" />
     <Content Include="Views\Experiment\Index.cshtml" />
     <Content Include="Views\Home\About.cshtml" />
     <Content Include="Views\Home\Index.cshtml" />
-    <Content Include="Views\Optimization\AlgorithmParameters.cshtml" />
-    <Content Include="Views\Optimization\Index.cshtml">
-      <SubType>Code</SubType>
-    </Content>
-    <Content Include="Views\Optimization\JobDetails.cshtml" />
-    <Content Include="Views\Optimization\ProblemParameters.cshtml" />
-    <Content Include="Views\Optimization\ScheduleJob.cshtml" />
     <Content Include="Views\Shared\DisplayTemplates\AlgorithmParameters.cshtml" />
     <Content Include="Views\Shared\DisplayTemplates\BoolValue.cshtml" />
@@ -388,5 +377,4 @@
       <SubType>Designer</SubType>
     </None>
-    <Content Include="Views\Status\Index.cshtml" />
     <Content Include="Views\Experiment\New.cshtml" />
     <Content Include="Views\Experiment\NewEdit.cshtml" />
